xchm (2:1.33-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 4.6.0.1
  * Updated Debian copyright.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Sat, 01 Jan 2022 12:25:46 +0530

xchm (2:1.32-2) unstable; urgency=low

  [ Kartik Mistry ]
  * Upload to unstable.

  [ Pino Toscano ]
  * Drop xchm.applications and debian/xchm.keys, as they are used only by the
    very old GNOME MIME type system, which is gone for many years.
  * Drop the MIME entry, as mailcap generates it from the desktop file.
  * Drop README.Debian, as it contains basically obsolete information on MIME
    integration.

 -- Kartik Mistry <kartik@debian.org>  Tue, 24 Aug 2021 16:51:52 +0530

xchm (2:1.32-1) experimental; urgency=low

  * New upstream release:
    + Dropped debian/patches/gr2el.patch, merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Tue, 06 Apr 2021 11:37:58 +0530

xchm (2:1.31-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Sandards-Version to 4.5.1, no changes needed.
    + Bump dh to 13.
    + Added Rules-Requires-Root field.
  * debian/copyright:
    + Added CC license for metadata.
  * Removed debian/xchm.desktop, already provided by upstream.
  * Removed unused debian/source/include-binaries.
  * debian/xchm.mime:
    + Removed quotes around placeholder in mailcap entry.

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Jan 2021 19:58:21 +0530

xchm (2:1.31-1) unstable; urgency=low

  * New upstream release:
    + Fix crash on search (Closes: #944284)
  * debian/control:
    + Use Build-Depends: debhelper-compat (= 12).
    + Updated to Standards-Version 4.4.1

 -- Kartik Mistry <kartik@debian.org>  Sat, 23 Nov 2019 20:17:32 +0530

xchm (2:1.30-2) unstable; urgency=low

  * Rebuild against wxWidgets GTK 3 (Closes: #933417)

 -- Kartik Mistry <kartik@debian.org>  Tue, 01 Oct 2019 11:59:53 +0530

xchm (2:1.30-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release (Closes: #940630)
    + Refreshed gr2el.patch.
  * Removed debian/xchm.1: Merged upstream.
  * d/watch: Updated for upstream change.
  * Added debian/gitlab-ci.yml.
  * debian/control:
    + Updated to Standards-Version 4.4.0
    + Updated Homepage.
  * Simplified debian/rules.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

 -- Kartik Mistry <kartik@debian.org>  Wed, 18 Sep 2019 18:00:22 +0400

xchm (2:1.23-3) unstable; urgency=low

  * debian/control:
    + Updated to Standards-Version 4.2.1
    + Updated Vcs-* URLs.
    + Updated upstream URL.
    + Removed autotools-dev from Build-Dep.
  * Bumped dh to 11.
  * Updated and cleanup debian/copyright.
  * Removed debian/menu file.
  * debian/patches/gr2el.patch:
    + Renamed gr.po to el.po for incorrect language code.
    + Include el.gmo (renamed from gr.gmo) in included-binary.
  * debian/rules:
    + Don't set CFLAGS.

 -- Kartik Mistry <kartik@debian.org>  Sat, 08 Sep 2018 11:12:40 +0530

xchm (2:1.23-2) unstable; urgency=low

  * debian/patches/wx3.0-compat.patch:
    + Update to build with libwxgtk3.0-dev. Thanks to Olly Betts
      <olly@survex.com> for patch.

 -- Kartik Mistry <kartik@debian.org>  Fri, 07 Mar 2014 10:49:54 +0530

xchm (2:1.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.5
    + Added VCS-* fields.
  * debian/xchm.desktop:
    + Added missing Keywords field.
  * debian/rules:
    + Do not clean config.sub/config.guess files.

 -- Kartik Mistry <kartik@debian.org>  Thu, 26 Dec 2013 16:49:50 +0530

xchm (2:1.21-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fixed Build-Depends with correct epoch.
    + Updated Standards-Version to 3.9.3.
    + Added dpkg-dev as Build-Dep for hardening flags.
  * debian/rules:
    + Fixed compiler flags, LDFLAGS.
    + Added hardening support.
    + Added required build targets.
  * debian/copyright:
    + Updated to copyright-format 1.0
    + Updated Debian copyright year.

 -- Kartik Mistry <kartik@debian.org>  Tue, 30 Oct 2012 11:54:25 +0530

xchm (2:1.20-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Thu, 19 May 2011 08:42:19 +0530

xchm (2:1.19-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated Standards-Version 3.9.2 (no changes needed)
    + Fixed typo in description

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Apr 2011 18:36:48 +0530

xchm (2:1.18-2) unstable; urgency=low

  * Uploaded to unstable

 -- Kartik Mistry <kartik@debian.org>  Thu, 10 Feb 2011 17:20:50 +0530

xchm (2:1.18-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Updated Standards-Version 3.9.1

 -- Kartik Mistry <kartik@debian.org>  Wed, 15 Dec 2010 12:11:14 +0530

xchm (2:1.17-3) unstable; urgency=low

  * Converted package to 3.0 (quilt) source format
  * debian/control:
    + Updated Standards-Version 3.8.4 (no changes needed)
    + Updated debhelper dependency to >= 7.0.50~
    + Wrapped up Build-Depends
  * debian/rules:
    + Used dh_prep instead of dh_clean -k
  * debian/copyright:
    + Don't refer to symlink license text
    + Updated as per DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Sun, 09 May 2010 09:21:18 +0530

xchm (2:1.17-2) unstable; urgency=low

  * debian/README.Debian:
    + [Lintian] Fixed several typos of targeting and explicitly
  * debian/control:
    + Updated Standards-Version 3.8.2 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Jun 2009 12:49:59 +0530

xchm (2:1.17-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS with gcc-4.4 (Closes: #530524)
  * debian/rules:
    + Removed deprecated dh_desktop call

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 May 2009 17:35:23 +0530

xchm (2:1.16-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 May 2009 16:59:34 +0530

xchm (2:1.15-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated Build-Depends on libwxgtk2.8-dev
    + Build conflicts to libwxgtk2.6-dev
    + Updated Standards-Version 3.8.1
  * Dropped obsolete patch to make greeting translatable

 -- Kartik Mistry <kartik@debian.org>  Fri, 17 Apr 2009 21:40:29 +0530

xchm (2:1.14-5) unstable; urgency=low

  * debian/control:
    + Updated to Standards-Version 3.8.0
    + Updated my maintainer email addresss
    + Bumped debhelper dependency to 6
  * debian/rules:
    + [Lintian] Fixed desktop mimetype by update call of dh_desktop
  * debian/copyright:
    + [Lintian] Added copyright symbol in copyright statement
  * debian/patches/02_make_greeting_translatable.diff:
    + [Lintian] Added proper description to patch
  * debian/README.Debian:
    + Removed deprecated text
    + Fixed minor typo
    + Updated maintainer email and timestamp

 -- Kartik Mistry <kartik@debian.org>  Wed, 18 Feb 2009 22:55:45 +0530

xchm (2:1.14-4) unstable; urgency=low

  * debian/rules:
    + Fixed FTBFS when converted to new source format quilt 3.0 by
      placing config.guess/config.sub section before ./configure call
      (Closes: #482731)
  * debian/xchm.1:
    + Fixed indentation to 80 characters

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 27 May 2008 13:49:54 +0530

xchm (2:1.14-3) unstable; urgency=low

  * debian/xcm.desktop:
    + Fixed categories entry to 'Office;Viewer;GTK' (Closes: #474397)
  * debian/copyright:
    + Updated Debian package copyright year

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 26 Apr 2008 01:44:30 +0530

xchm (2:1.14-2) unstable; urgency=low

  * Don't ship extra mimetype xchm.xml as it is already covered by
    freedesktop.org.xml (Closes: #466065)
  * debian/control:
    + Removed build-dependency of libchm-dev on Debian revision as backporting
      of package will be difficult with dependency on Debian revision
  * debian/changelog:
    + Fixed typo from previous changelogs

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 02 Mar 2008 12:13:42 +0530

xchm (2:1.14-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch: 03_gcc-snapshot-ftbfs-fix-455317.dpatch, merged with
      upstream
    + Dropped patch: 01_romanian_translation_update.dpatch, merged with
      upstream
  * Added quilt support, removed dpatch support
  * Refreshed patch: 02_make_greeting_translatable.diff
  * debian/control:
    + Removed DM-Upload-Allow field finally
  * debian/README.Debian:
    + Fixed time-stamp

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 10 Jan 2008 11:59:26 +0530

xchm (2:1.13-7) unstable; urgency=low

  * debian/control:
    + Removed useless DM-Upload-Allow field
    + Updated Standards-Version to 3.7.3
  * debian/patches/03_gcc-snapshot-ftbfs-fix-455317.dpatch
    + Added patch to fix FTBFS with gcc-snapshot due to duplicate
      function parameters (Closes: #455317)
  * debian/rules:
    + Fixed order of applying patches

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 11 Dec 2007 11:30:31 +0530

xchm (2:1.13-6) unstable; urgency=low

  * debian/watch: fixed to use only upstream version numbers
  * debian/control:
    + Updated homepage entry to use real control field
    + Updated build dependency on libchm1
    + Added DM-Upload-Allow field
  * debian/copyright: updated debian package copyright

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 17 Nov 2007 18:24:22 +0530

xchm (2:1.13-5) unstable; urgency=low

  * debian/xchm.desktop: removed obsolete entries according to FreeDesktop
    standards
  * Added patch to make greeting message translatable, Thanks to Igor Stirbu
    <igor.stirbu@gmail.com> (Closes: #422348)
  * debian/rules: added better clean target
  * debian/menu: added 'Applications' instead of 'Apps' according to latest menu
    policy
  * debian/copyright: added missing copyright owener, separated copyright from
    license
  * debian/README.Debian: removed obsolete parts, removed references to first
    person, fixed grammer mistake, fixed wrong reference .mime file
    installation
  * debian/watch: fixed it to use qa.debian.org redirector
  * Thanks to Mohammed Adnène Trojette <adn+deb@diwi.org> for package review

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 11 Aug 2007 19:05:11 +0530

xchm (2:1.13-4) unstable; urgency=low

  * debian/xchm.desktop: moved category to Viewer;Utility; Thanks for patch to
    Kjell Braden <fnord@pentabarf.de> (Closes: #427659)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 06 Jun 2007 11:58:40 +0530

xchm (2:1.13-3) unstable; urgency=low

  * Added patch from Igor Stirbu <igor.stirbu@gmail.com> for Romanian (ro)
    translation update (Closes: #426956)
  * Added dpatch support

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 01 Jun 2007 10:22:41 +0530

xchm (2:1.13-2) unstable; urgency=low

  * debian/xchm.mime: fixed malformed entry in /etc/mailcap (Closes: #422584)
  * debian/xchm.1: rewritten man page, updated FSF address in manpage
    copyright section
  * debian/xchm.keys: fixed path to xpm file and removed useless comment
  * debian/xchm.desktop: fixed icon name

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 09 May 2007 18:35:25 +0530

xchm (2:1.13-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 17 Apr 2007 09:56:39 +0530

xchm (2:1.11-1) unstable; urgency=low

  * New Maintainer (Closes: #416962, #416981)
  * New upstream release
  * debian/copyright: updated to standard copyright format
  * debian/rules: minor cleanups, removed useless post* scripts
  * debian/changelog: removed useless empty line at end
  * debian/watch: updated to latest standard
  * debian/control: minor cleanups in long descriptions
  * Updated debhelper compability to 5
  * debian/xchm.desktop: removed useless empty lines
  * Removed duplicate xchm.mime file
  * debian/README.Debian: formatted according to standard format
  * dh_installmime is now use to install mime instead of xchm.install
  * Doesn't use prefix from debhelper files now
  * Removed useless debian/dirs
  * debian/menu: updated according to standard menu file
  * Removed manpages, use dh_installman instead
  * Moved mime-info and application-registry subdirs contents to debian
  * Using only one xpm now as pixmaps, rest are removed

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 09 Apr 2007 11:28:45 +0530

xchm (2:1.10-2) unstable; urgency=low

  * Orphan package

 -- Julien Lemoine <speedblue@debian.org>  Sat, 31 Mar 2007 20:20:47 +0200

xchm (2:1.10-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Sat, 27 Jan 2007 21:32:19 +0100

xchm (2:1.9-3) unstable; urgency=low

  * Added patches from ubuntu :
    xchm.desktop: Add Encoding, fix for validation

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 18:09:25 +0200

xchm (2:1.9-2) unstable; urgency=low

  * Upgraded to debian policy 3.6.2
  * Fixed lintian warnings

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 12:26:58 +0200

xchm (2:1.9-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Wed,  2 Aug 2006 21:27:16 +0200

xchm (2:1.8-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Mon,  5 Jun 2006 14:50:28 +0200

xchm (2:1.7.1-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Thu, 11 May 2006 21:47:56 +0200

xchm (2:1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #355537)

 -- Julien Lemoine <speedblue@debian.org>  Mon,  6 Mar 2006 21:12:48 +0100

xchm (2:1.2.0-5) unstable; urgency=low

  * Rebuild with libchm1 instead of chmlib

 -- Julien Lemoine <speedblue@debian.org>  Mon, 31 Oct 2005 17:48:55 +0100

xchm (2:1.2.0-4) unstable; urgency=low

  * Depends on chmlib >= 0.36-2 instead of chmlib
    (Closes: #332741)

 -- Julien Lemoine <speedblue@debian.org>  Sun,  9 Oct 2005 21:21:11 +0200

xchm (2:1.2.0-3) unstable; urgency=low

  * Rebuild with new chmlib (new soname)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  8 Oct 2005 10:40:22 +0200

xchm (2:1.2.0-2) unstable; urgency=low

  * Added build depends on autotools-dev (Closes: #327578)

 -- Julien Lemoine <speedblue@debian.org>  Sun, 11 Sep 2005 12:22:28 +0200

xchm (2:1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Fri,  9 Sep 2005 21:26:04 +0200

xchm (2:1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #317635)
  * Build using wxwidgets 2.6.1 (linked with gtk2, fix problem with anchors
    that contain dots) (Closes: #297110)
  * Upgraded to debian policy 3.6.2

 -- Julien Lemoine <speedblue@debian.org>  Tue, 19 Jul 2005 21:43:12 +0200

xchm (0.9.8-4) unstable; urgency=low

  * Remove pre-depends on mime-support (Closes: #315685)
  * Fixed lintian errors (Closes: #315953)

 -- Julien Lemoine <speedblue@debian.org>  Thu, 30 Jun 2005 16:28:36 +0200

xchm (0.9.8-3) unstable; urgency=low

  * Revert wxwindows 2.5 because it is not part of sid (only experimental).
    Relink with wxwindows 2.4 (will reincluse gtk 1 problems)
    (Closes: 308943)

 -- Julien Lemoine <speedblue@debian.org>  Fri, 13 May 2005 21:41:40 +0200

xchm (0.9.8-2) unstable; urgency=low

  * Build xchm with wxwindows 2.5 (linked with gtk 2.0)
    (Closes: #241302)

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Feb 2005 20:57:24 +0100

xchm (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Feb 2005 20:44:53 +0100

xchm (0.9.7-2) unstable; urgency=low

  * Applied patch from Ingo Saitz <ingo@debian.org> to fix
    german translation error

 -- Julien Lemoine <speedblue@debian.org>  Fri,  4 Feb 2005 09:08:00 +0100

xchm (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Sun,  2 Jan 2005 23:00:08 +0100

xchm (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Sun, 24 Oct 2004 20:56:40 +0200

xchm (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Wed, 22 Sep 2004 22:44:56 +0200

xchm (0.9.4-1) unstable; urgency=low

  * New upstream release
    Fixed a contents parsing bug (Closes: #267381)

 -- Julien Lemoine <speedblue@debian.org>  Thu,  2 Sep 2004 19:21:20 +0200

xchm (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Thu,  5 Aug 2004 00:14:13 +0200

xchm (0.9.2-4) unstable; urgency=low

  * Added watch file of Loic Minier for uscan (Closes: #260019)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 19 Jul 2004 20:48:52 +0200

xchm (0.9.2-3) unstable; urgency=low

  * Re-add xchm.mime (file was deleted by error)
    (Closes: #255700)

 -- Julien Lemoine <speedblue@debian.org>  Sat, 17 Jul 2004 21:13:59 +0200

xchm (0.9.2-2) unstable; urgency=low

  * Older, and newer style MIME support / desktop integration
    Thanks to Loic Minier <lool@dooz.org>
    (Closes: #258849)
  * Added icon path to the Debian menu entry
  * new postinst and postrm scripts for shared MIME information
  * Added a Pre-Depend on mime-support
  * Renomed pt.po in pt_BR.po

 -- Julien Lemoine <speedblue@debian.org>  Mon, 12 Jul 2004 08:24:29 +0200

xchm (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Fri,  9 Jul 2004 22:26:54 +0200

xchm (0.9.1-2) unstable; urgency=low

  * Added mailcap entry and menu support
    (Applied patch from Loic Minier <lool@dooz.org>)
    (Closes: #255700)

 -- Julien Lemoine <speedblue@debian.org>  Sat, 26 Jun 2004 14:55:36 +0200

xchm (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Update build-dep for ia64 (libwxgtk2.4-dev (>= 2.4.2.4.0.1) [ia64])

 -- Julien Lemoine <speedblue@debian.org>  Wed,  7 Apr 2004 22:23:19 +0200

xchm (0.9-1) unstable; urgency=low

  * New upstream release
  * Upload in debian pool (Closes: #212623)

 -- Julien Lemoine <speedblue@debian.org>  Sat, 28 Feb 2004 19:01:21 +0100

xchm (0.8.10-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Thu,  8 Jan 2004 21:33:01 +0100

xchm (0.8.9-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Mon,  8 Dec 2003 00:51:06 +0100

xchm (0.8.8-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Sun,  9 Nov 2003 12:56:51 +0100

xchm (0.8.7-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Sun, 26 Oct 2003 23:36:41 +0100

xchm (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Sun, 19 Oct 2003 00:26:43 +0200

xchm (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Tue, 30 Sep 2003 14:01:13 +0200

xchm (0.8-1) unstable; urgency=low

  * Initial Release.

 -- Julien Lemoine <speedblue@debian.org>  Thu,  4 Sep 2003 22:05:13 +0200
